Bug 1571734 - [abrt] gpaste: gtk_selection_data_set_pixbuf(): gpaste-daemon killed by SIGSEGV
Summary: [abrt] gpaste: gtk_selection_data_set_pixbuf(): gpaste-daemon killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gpaste
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:47607370a89bd0b3c71f13c3786...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 10:31 UTC by Pablo Ganuza
Modified: 2018-11-30 21:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:13:31 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (34.27 KB, text/plain)
2018-04-25 10:31 UTC, Pablo Ganuza
no flags Details
File: cgroup (345 bytes, text/plain)
2018-04-25 10:31 UTC, Pablo Ganuza
no flags Details
File: core_backtrace (15.99 KB, text/plain)
2018-04-25 10:31 UTC, Pablo Ganuza
no flags Details
File: cpuinfo (1.80 KB, text/plain)
2018-04-25 10:31 UTC, Pablo Ganuza
no flags Details
File: dso_list (8.16 KB, text/plain)
2018-04-25 10:31 UTC, Pablo Ganuza
no flags Details
File: environ (1.30 KB, text/plain)
2018-04-25 10:31 UTC, Pablo Ganuza
no flags Details
File: exploitable (110 bytes, text/plain)
2018-04-25 10:31 UTC, Pablo Ganuza
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-25 10:31 UTC, Pablo Ganuza
no flags Details
File: maps (36.72 KB, text/plain)
2018-04-25 10:31 UTC, Pablo Ganuza
no flags Details
File: mountinfo (3.59 KB, text/plain)
2018-04-25 10:31 UTC, Pablo Ganuza
no flags Details
File: open_fds (792 bytes, text/plain)
2018-04-25 10:32 UTC, Pablo Ganuza
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-25 10:32 UTC, Pablo Ganuza
no flags Details

Description Pablo Ganuza 2018-04-25 10:31:40 UTC
Version-Release number of selected component:
gpaste-3.26.2-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/gpaste/gpaste-daemon
crash_function: gtk_selection_data_set_pixbuf
executable:     /usr/libexec/gpaste/gpaste-daemon
journald_cursor: s=3335f2b4695147a3b8b7c1e8fa22a568;i=4440;b=3bbd5f0eb90b470085e7431de1c2dc8c;m=1ca2dcba4;t=56aa92f08fa1b;x=18e97ed63565ac0e
kernel:         4.15.17-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_selection_data_set_pixbuf at gtkselection.c:1698
 #1 g_paste_clipboard_get_clipboard_data at src/libgpaste/core/gpaste-clipboard.c:356
 #5 g_signal_emit_by_name at gsignal.c:3487
 #6 gtk_selection_invoke_handler at gtkselection.c:3067
 #7 gtk_selection_convert at gtkselection.c:1139
 #8 g_paste_clipboards_manager_targets_ready at src/libgpaste/core/gpaste-clipboards-manager.c:316
 #9 selection_received at gtkclipboard.c:960
 #13 g_signal_emit_by_name at gsignal.c:3487
 #14 gtk_selection_retrieval_report at gtkselection.c:3031
 #15 gtk_selection_convert at gtkselection.c:1143

Comment 1 Pablo Ganuza 2018-04-25 10:31:45 UTC
Created attachment 1426580 [details]
File: backtrace

Comment 2 Pablo Ganuza 2018-04-25 10:31:46 UTC
Created attachment 1426581 [details]
File: cgroup

Comment 3 Pablo Ganuza 2018-04-25 10:31:48 UTC
Created attachment 1426582 [details]
File: core_backtrace

Comment 4 Pablo Ganuza 2018-04-25 10:31:49 UTC
Created attachment 1426583 [details]
File: cpuinfo

Comment 5 Pablo Ganuza 2018-04-25 10:31:51 UTC
Created attachment 1426584 [details]
File: dso_list

Comment 6 Pablo Ganuza 2018-04-25 10:31:52 UTC
Created attachment 1426585 [details]
File: environ

Comment 7 Pablo Ganuza 2018-04-25 10:31:54 UTC
Created attachment 1426586 [details]
File: exploitable

Comment 8 Pablo Ganuza 2018-04-25 10:31:55 UTC
Created attachment 1426587 [details]
File: limits

Comment 9 Pablo Ganuza 2018-04-25 10:31:57 UTC
Created attachment 1426588 [details]
File: maps

Comment 10 Pablo Ganuza 2018-04-25 10:31:58 UTC
Created attachment 1426589 [details]
File: mountinfo

Comment 11 Pablo Ganuza 2018-04-25 10:32:00 UTC
Created attachment 1426590 [details]
File: open_fds

Comment 12 Pablo Ganuza 2018-04-25 10:32:01 UTC
Created attachment 1426591 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2018-11-27 16:02:24 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 21:13:31 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.